## ros-jazzy-rosbag2-test-common 0.26.5

=== debian/changelog ===
ros-jazzy-rosbag2-test-common (0.26.5-1bookworm) bookworm; urgency=high

  * Small cleanups to the rosbag2 tests. (#1792 <https://github.com/ros2/rosbag2/issues/1792>) (#1793 <https://github.com/ros2/rosbag2/issues/1793>)
    (cherry picked from commit 604cebcf11775151efa94f7c30ba1aea68e90c5c)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rosbag2-test-common (0.26.4-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 26 Jun 2024 16:00:00 -0000
